# PmxLib
---
## Overview
近藤科学製PMXサーボモータ用pythonのライブラリです。  
This is a python library for Kondo Kagaku Pmx servo motor.


## Description
近藤科学製PMXサーボモータをpythonで動かすためのライブラリです。  
This is a library for operating Kondo Kagaku's PMX servo motor with Python.　


LinuxPCやWindowsPC等Pythonがインストールされている環境で使用することができます。  
It can be used in environments where Python is installed, such as Linux and Windows.

このライブラリを使用することで、  
using this library
- PMXサーボモータの一通りのコマンドが実装しています。  
 A set of commands for PMX servo motor are implemented.
- pySerial経由でPMXサーボモータと通信することができるようになります。  
  You will be able to communicate with the PMX servo motor via pySerial.
- 位置制御はもちろんのこと、現在位置の取得や速度制御などのモードの切り替えの関数も用意しています。  
  In addition to position control, we also provide functions for obtaining the current position and switching modes such as speed control.
- PMXサーボモータを動かすためのサンプルプログラムを用意していますので、簡単に動かすことができます。  
  We have prepared a wide variety of sample programs for operating PMX servo motors, so you can easily operate them.
-    


  ...etc

## Contents
root/  
 ├PmxLib  
 ┃    ├ PmxLib.py  
 ┃    └ PmxPySerialClass.py  
 ├ sample  
 ┃    ├ MemREADSample_xxxxx.py  
 ┃    ┃    .....  
 ┃    └ (sample ...etc)  
 ├ template  
 ┃    └PmxTemplate_xxxxx.py    
 ├ readmeTop.md (this file)  
 ├ LICENSE.txt  
 └ PmxLib FunctionList V1_0_0_0(See to index.html)  
## Requirement
- Python 3  (check to Python3.8.5)
  + serial(pySerial) (check to 3.4)
  

## Usage
* ダウンロードし解凍が終わったら「PmxLib」「sample」をフォルダごとコピーしてください。

  Please do copying every the folder of「PmxLib」and「sample」 at the optional place.

  ※サンプルプログラムは相対パスで設定しています。

  ※A sample program establishes PmxLib by a relative path.

- PMXと接続に関しては
  [弊社HP](https://kondo-robot.com/)および
  [PMXサーボを使ってみよう　PCから制御「準備編」](https://kondo-robot.com/faq/pmx-servo-tutorial-pc1)
  をご覧ください。

  Please check the [OurHomePage](https://kondo-robot.com/) or [準備編](https://kondo-robot.com/faq/pmx-servo-tutorial-pc1)to connect with PMX.

* サンプルプログラムを実行してみてください

  Please execute a sample program.


## Licence
このプロジェクトはMIT Licenseです。
詳しくは同フォルダのLICENSE.txtをご覧ください。  
This project is licensed under the MIT License, see the LICENSE.txt file for details

## Author
近藤科学株式会社  10/2023  
Kondo Kagaku co.,ltd.  
近藤科学ホームページ:(<http://kondo-robot.com/>)
